=== debian/changelog ===
openclipart (1:0.18+dfsg-19) unstable; urgency=medium

  * QA upload

  * actially it didn't hang but just took aaaaaaaaggggggeesss, re-enable
    optipng 

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Jul 2020 17:42:53 +0000

openclipart (1:0.18+dfsg-18) unstable; urgency=medium

  * QA upload.
  * Build-Depend on libreoffice-dev-gui (closes: #964262) 
  * rename shapes.* to shapes-openclipart (closes: #964261) 
  * disable optipng usage since it hangs on stop_sign_miguel_s_nchez_.png

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Jul 2020 08:13:45 +0000

openclipart (1:0.18+dfsg-17) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with inkscape 1.0.  (Closes: #959627)
  * Do not ignore errors during build.  (Closes: #760360)
  * Deduplicate files deterministically.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2020 13:51:52 +0200

openclipart (1:0.18+dfsg-16) unstable; urgency=medium

  * QA upload.
  * Explicitly build-depend on libreoffice-core.  (Closes: #953866)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2020 20:36:28 +0100

openclipart (1:0.18+dfsg-15) unstable; urgency=low

  * QA upload.
  * Maintainer set to Debian QA Group. (see #690518)
  * Replace the no longer existing build dependency java-gcj-compat
    with default-jre-headless and libreoffice-java-common.
  * Avoid filename conflicts with libreoffice-common when
    building with recent libreoffice.
  * Priority: extra -> optional
  * Remove no longer needed lintian overrides.

 -- Adrian Bunk <bunk@debian.org>  Sat, 01 Dec 2018 14:21:45 +0200

openclipart (1:0.18+dfsg-14) unstable; urgency=medium

  * This is the older (and smaller) openclipart, reintroduced so that users
    may choose between the larger openclipart2, sorted by artist, and the
    smaller openclipart, sorted by subject (closes: #664138)
  * Using optipng to compress the images (closes: #468416)
  * Updated debhelper level to 9
  * Now using quilt (3.0)
  * Updated Standards-Version to 3.9.3.0 (no changes needed)
  * Applied changes that Rene Engelhard made awhile back in experimental in
    order to fix basis-link issues with Libreoffice 3.5
  * Changed dh_clean -k to dh_prep, since dh_clean -k is deprecated
  * Added ${misc:Depends} to all binary packages to make Lintian happy
  * Dropped the "-1" part of the version on the inkscape dependency to make
    Lintian happy
  * Switch ${Source:Version} to ${binary:Version} to make Lintian happy

 -- Martin Kelly <aomighty@gmail.com>  Wed, 23 May 2012 18:51:45 -0400

openclipart (0.18+dfsg-11) unstable; urgency=low

  * QA upload
  * adapt for LibreOffice

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Feb 2011 13:11:38 +0100

openclipart (0.18+dfsg-10) unstable; urgency=medium

  * QA upload
  * set maintainer to Debian QA Group
  * throw away empty lines and double lines from the inkscape calls,
    thanks Wolfram Quester (closes: #594036)

 -- Rene Engelhard <rene@debian.org>  Tue, 24 Aug 2010 23:55:26 +0200

openclipart (0.18+dfsg-9) unstable; urgency=low

  * rebuild for OOo 3.2 (closes: #565970)
  * mention that openclipart is a meta package (closes: #564313)

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2010 13:24:01 +0100

openclipart (0.18+dfsg-8) unstable; urgency=low

  * rebuild for OOo 3.1
  * add conflicts against openoffice.org-commons newer than the basis we
    build against (( >= ${basis-version}.99) )
  * stop using Xvfb and rely on the headless mode of OOo/VCL. Makes the build
    not fail on sid due to Xvfb crashing...

 -- Rene Engelhard <rene@debian.org>  Thu, 07 May 2009 17:16:39 +0200

openclipart (0.18+dfsg-7) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Feb 2009 00:31:54 +0100

openclipart (0.18+dfsg-6) experimental; urgency=low

  * update for 3-layer OOo (basis-link)
  * move Homepage from description to Homepage:
  * remove bashisms (closes: #459115)

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Jan 2009 08:45:16 +0100

openclipart (0.18+dfsg-5) unstable; urgency=low

  * new maintainer

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2007 19:52:13 +0100

openclipart (0.18+dfsg-4) unstable; urgency=low

  * Fixed background size of router_joeseph_teed_01.svg (closes: bug#343999).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Dec 2005 15:05:58 +0100

openclipart (0.18+dfsg-3) unstable; urgency=low

  * Build images with the latest version of inkscape (>= 0.42.2+0.43pre1-1)
    which seems to be better than rsvg _at least for now_ (closes: bug#338321).
  * Move macchina_fotografica_di_01.svg to electronics (closes: bug#338323).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  9 Nov 2005 16:37:10 +0100

openclipart (0.18+dfsg-2) unstable; urgency=low

  * Build-depends on xbase-clients and xfonts-base (closes: bug#337204).
  * Added some more files to the list of svg files to build with inkscape.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  4 Nov 2005 22:19:07 +0100

openclipart (0.18+dfsg-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream version.
  * Lot of changes in the build process.
  * Seems that rsvg doesn't like some files, process them with inkscape.

  [ Rene Engelhard ]
  * build openclipart-openoffice.org dynamically using gengal instead
    of shippig manually pre-built files and also let the numbers
    only start at 70 to avoid collisions with OOo2. Build-Depend
    on openoffice.org-dev (>= 2.0.0) and xvfb (gengal needs X...).
  * add myself to Uploaders:

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  1 Nov 2005 02:16:07 +0100

openclipart (0.17+dfsg-4) unstable; urgency=low

  * Switch back to rsvg to convert svg images to png, as it seems that
    inkscape does not implement all the svg format (closes: bug#331715).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 Oct 2005 01:46:29 +0200

openclipart (0.17+dfsg-3) unstable; urgency=low

  * Added a build-dependency on fdupes (closes: bug#331565).


