=== debian/control ===
Source: openclipart
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: inkscape (>= 1.0~), fdupes, libreoffice-core, libreoffice-dev-gui, default-jre-headless, libreoffice-java-common, optipng
Standards-Version: 3.9.3.0
Homepage: http://www.openclipart.org

Package: openclipart
Architecture: all
Depends: openclipart-svg (>= ${binary:Version}), openclipart-png (>= ${binary:Version}), openclipart-libreoffice (= ${binary:Version}), ${misc:Depends}
Description: Open Clip Art Library
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package is a metapackage installing both the SVG and PNG (converted
 from SVG) versions.

Package: openclipart-svg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Recommends: librsvg2-bin
Suggests: ksvg, gimp-svg, inkscape, sodipodi, sketch
Description: clip art in SVG format
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the images in Scalable Vector Graphic
 (SVG) format, which is an XML format approved by the W3C.

Package: openclipart-png
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Suggests: gimp
Description: clip art in PNG format
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the images in Portable Network Graphics
 (PNG) format.

Package: openclipart-libreoffice
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openclipart-png (= ${binary:Version})
Conflicts: openclipart (<< 0.10+dfsg-3), libreoffice-common (<< 1:3.5.0~beta~)
Recommends: libreoffice
Description: clip art for OpenOffice.org/LibreOffice gallery
 The Open Clip Art Library is a collection of 100% license-free,
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 The clip art in this package is sorted by subject (e.g. sports). Openclipart 2
 is sorted by artist (who created the clip art) and is much larger.
 .
 This package contains the OpenOffice.org/LibreOffice Gallery info files.
