=== debian/rules ===
--- 
+++ 
@@ -1,41 +1,29 @@
 #!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 # Put here files that are oversized and need to have a reduced size
 OVERSIZED_FILES = ./clipart/animals/mammals/big_cats/tiger_graig_ryan_smith_-_01.svg \
-		  ./clipart/computer/microchip_v.2_havok_redh_01.svg \
-		  ./clipart/food/beverages/milk_mateya_01.svg \
+		  ./clipart/signs_and_symbols/flags/national_flag_of_the_re_.svg \
+		  ./clipart/signs_and_symbols/flags/the_official_flag_of_i_r.svg \
 		  ./clipart/food/bread_and_wine_mark_near_.svg \
-		  ./clipart/food/breads_and_carbs/bread_mateya_01.svg \
-		  ./clipart/food/breads_and_carbs/pasta_mateya_01.svg \
-		  ./clipart/food/dairy/cheese_mateya_01.svg \
-		  ./clipart/food/desserts/cake_mateya_01.svg \
-		  ./clipart/food/fruit/apple_mateya_01.svg \
-		  ./clipart/food/fruit/banana_mateya_01.svg \
-		  ./clipart/food/meats_and_eggs/egg_mateya_01.svg \
-		  ./clipart/food/meats_and_eggs/salami_mateya_01.svg \
-		  ./clipart/food/vegetables/paprika_mateya_01.svg \
-		  ./clipart/food/vegetables/salad_mateya_01.svg \
 		  ./clipart/geography/africa_01.svg \
 		  ./clipart/geography/europe_01.svg \
 		  ./clipart/geography/oceania_01.svg \
 		  ./clipart/geography/world_map_01.svg \
 		  ./clipart/geography/world_map_02.svg \
-		  ./clipart/recreation/games/chess/tamerlane_chess_jonadab_.svg \
-		  ./clipart/recreation/tamerlane_chess_jonadab_.svg \
 		  ./clipart/shapes/tangram_erwan_01.svg \
 		  ./clipart/shapes/tangram_erwan_02.svg \
-		  ./clipart/signs_and_symbols/flags/national_flag_of_the_re_.svg \
-		  ./clipart/signs_and_symbols/flags/the_official_flag_of_i_r.svg \
-		  ./clipart/signs_and_symbols/stop_sign_miguel_s_nchez_.svg \
-		  ./clipart/transportation/roadsigns/stop_sign_right_font_mig_.svg
+		  ./clipart/recreation/games/chess/tamerlane_chess_jonadab_.svg \
+		  ./clipart/recreation/tamerlane_chess_jonadab_.svg
 
-%:
-	dh $@
+clean:
+	dh_testdir
+	dh_testroot
 
-override_dh_clean:
 	# Files with space in their name are causing problems. Removing spaces.
 	-mv "./clipart/recreation/music/CD_Player" "./clipart/recreation/music/CD Player"
 	-mv "./clipart/unsorted/profilo_della_citta.svg" "./clipart/unsorted/profilo_della citta.svg"
@@ -44,7 +32,16 @@
 	-rm -f *-stamp
 	dh_clean
 
-override_dh_auto_build:
+
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build-stamp:
+	dh_testdir
+
 	# Files with space in their name are causing problems. Removing spaces.
 	mv "./clipart/recreation/music/CD Player" "./clipart/recreation/music/CD_Player"
 	mv "./clipart/unsorted/profilo_della citta.svg" "./clipart/unsorted/profilo_della_citta.svg"
@@ -110,5 +107,53 @@
 
 	touch build-stamp
 
-override_dh_auto_install:
-	# ignore install target of upstream Makefile
+install: build
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+
+	# Install PNG files
+	cp -af $(CURDIR)/build/usr/share/openclipart/png/* \
+		$(CURDIR)/debian/openclipart-png/usr/share/openclipart/png/
+
+	# Install SVG files
+	cp -af $(CURDIR)/build/usr/share/openclipart/svg/* \
+		$(CURDIR)/debian/openclipart-svg/usr/share/openclipart/svg/
+
+	# Install OOo files
+	mkdir -p $(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery
+	cp -af $(CURDIR)/build/usr/lib/libreoffice/share/gallery/* \
+		$(CURDIR)/debian/openclipart-libreoffice/usr/lib/libreoffice/share/gallery/
+
+
+# Build architecture-dependent files here.
+# We have nothing to do by default.
+binary-arch: build install
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf
+	dh_installdocs
+	dh_installexamples
+#	dh_installlogrotate
+	dh_installcron
+	dh_installman
+	dh_installinfo
+	dh_installchangelogs
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
