## openclipart 2.0

=== debian/changelog ===
openclipart (2.0-1ubuntu1) precise; urgency=low

  * adapt for basisX.Y / basis-link removal in LibreOffice 3.5 (LP: #960389)
    (from 0.18+dfsg-13)

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Thu, 22 Mar 2012 11:13:10 -0500

openclipart (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #466343)
  * New maintainer, Martin Kelly <aomighty@gmail.com> (Closes: #585965)
  * Bumped Standards-Version to 3.9.2.0 (no changes needed)
  * Updated compat to 7
  * Removed overrides file; the problematic files aren't in this release, so
    it's no longer needed
  * Removed check for files with spaces; also no longer needed for same reason
  * Removed the moving of specific files which no longer exist
  * Removed the checking for oversized files; the latest versions of
    Libreoffice seem to work fine with the oversized files
  * Fixed clipart/liftarn/liftarn_Children.svg, changing it to utf-8 so that
    inkscape won't have problems with it
  * Quoted strings containing filenames since some have parantheses

 -- Martin Kelly <aomighty@gmail.com>  Sun, 05 Jun 2011 01:07:40 -0400
