=== debian/control ===
Source: openclipart
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Kelly <aomighty@gmail.com>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: inkscape (>= 0.42.2+0.43pre1-1), fdupes, libreoffice-dev, java-gcj-compat
Standards-Version: 3.9.2.0
Homepage: http://www.openclipart.org

Package: openclipart
Architecture: all
Depends: openclipart-svg (>= ${Source-Version}), openclipart-png (>= ${Source-Version}), openclipart-libreoffice (= ${Source-Version})
Description: Open Clip Art Library
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package is a meta package installing both the SVG and PNG (converted
 from SVG) versions.

Package: openclipart-svg
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Recommends: librsvg2-bin
Suggests: ksvg, gimp-svg, inkscape, sodipodi, sketch
Description: clip art in SVG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the images in Scalable Vector Graphic
 (SVG) format, which is an XML format approved by the W3C.

Package: openclipart-png
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openclipart (<< 0.10+dfsg-3)
Suggests: gimp
Description: clip art in PNG format
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the images in Portable Network Graphics 
 (PNG) format.

Package: openclipart-libreoffice
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openclipart-png (= ${Source-Version})
Conflicts: openclipart (<< 0.10+dfsg-3), libreoffice-common (<< 1:3.5.0~)
Recommends: libreoffice
Description: clip art for OpenOffice.org/LibreOffice gallery
 The Open Clip Art Library is a collection of 100% license-free, 
 royalty-free, and restriction-free art that you can use for any purpose.
 .
 This package contains the OpenOffice.org/LibreOffice Gallery info files.
